Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf.fonts.cmaps
Class CodespaceRange

    java.lang.Object
      com.lowagie.text.pdf.fonts.cmaps.CodespaceRange

    public class CodespaceRange

extends java.lang.Object

This represents a single entry in the codespace range.

Since:
  2.1.4
Version:
  $Revision$
Author:
  Ben Litchfield (ben@benlitchfield.com)

Field Summary
`private byte[]` | `end`
`private byte[]` | `start`

Constructor Summary
`CodespaceRange()` Creates a new instance of CodespaceRange.

Method Summary
`byte[]` | `getEnd()` Getter for property end.
`byte[]` | `getStart()` Getter for property start.
`void` | `setEnd(byte[] endBytes)` Setter for property end.
`void` | `setStart(byte[] startBytes)` Setter for property start.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### start

    private byte[] start

### end

    private byte[] end

Constructor Detail

### CodespaceRange

    public CodespaceRange()

  Creates a new instance of CodespaceRange.

Method Detail

### getEnd

    public byte[] getEnd()

  Getter for property end.

  Returns:
    Value of property end.

### setEnd

    public void setEnd(byte[] endBytes)

  Setter for property end.

  Parameters:
    `endBytes` - New value of property end.

### getStart

    public byte[] getStart()

  Getter for property start.

  Returns:
    Value of property start.

### setStart

    public void setStart(byte[] startBytes)

  Setter for property start.

  Parameters:
    `startBytes` - New value of property start.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD